summaryrefslogtreecommitdiff
path: root/tests/simple
diff options
context:
space:
mode:
authorJohann Glaser <Johann.Glaser@gmx.at>2013-03-16 21:21:38 +0100
committerClifford Wolf <clifford@clifford.at>2013-03-17 09:05:15 +0100
commit3cfbc18601c8735b06d4c80501aeed90353070eb (patch)
tree9719661fd1ca30f202046b476e4b21854a7bdf62 /tests/simple
parentbcae4aae6e72fc95e5d59cad3bc22ef8ac4933c3 (diff)
added ckeck for Icarus Verilog, otherwise the tests are silently stopped
Signed-off-by: Clifford Wolf <clifford@clifford.at>
Diffstat (limited to 'tests/simple')
-rwxr-xr-xtests/simple/run-test.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/simple/run-test.sh b/tests/simple/run-test.sh
index bf27d15f..eb6fd10b 100755
--- a/tests/simple/run-test.sh
+++ b/tests/simple/run-test.sh
@@ -1,3 +1,10 @@
#!/bin/bash
+
+# check for Icarus Verilog
+if ! which iverilog > /dev/null ; then
+ echo "$0: Error: Icarus Verilog 'iverilog' not found."
+ exit 1
+fi
+
make -C ../.. || exit 1
exec bash ../tools/autotest.sh *.v